IvyConfigurationContainer (Gradle API 8.11)

Package org.gradle.api.publish.ivy

## Interface IvyConfigurationContainer

- All Superinterfaces:
    `java.util.Collection<IvyConfiguration>`, `Configurable<NamedDomainObjectContainer<IvyConfiguration>>`, `DomainObjectCollection<IvyConfiguration>`, `DomainObjectSet<IvyConfiguration>`, `java.lang.Iterable<IvyConfiguration>`, `NamedDomainObjectCollection<IvyConfiguration>`, `NamedDomainObjectContainer<IvyConfiguration>`, `NamedDomainObjectSet<IvyConfiguration>`, `java.util.Set<IvyConfiguration>`

      public interface IvyConfigurationContainer
      extends NamedDomainObjectContainer<IvyConfiguration>

  The set of `IvyConfiguration`s that will be included in the `IvyPublication`. Being a `NamedDomainObjectContainer`, a `IvyConfigurationContainer` provides convenient methods for adding, querying, filtering, and applying actions to the set of `IvyConfiguration`s.

       plugins {
           id 'ivy-publish'
       }

       def publication = publishing.publications.create("my-pub", IvyPublication)
       def configurations = publication.configurations

       configurations.create("extended", { extend "default"})
       configurations.all {
           extend "base"
       }

- - ### Method Summary

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `addAllLater, addLater, all, all, configureEach, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAsMap, getAt, getByName, getByName, getByName, getCollectionSchema, getNamer, getNames, getRules, named, named, named, named`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectContainer

      `configure, create, create, create, maybeCreate, register, register`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, named, withType`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`